function love.load()
	mode = {
		locked = 1,
		unlocked = 2
	}
	gamemode = mode.locked
	--Images
	bg = love.graphics.newImage("assets/img/bg.png")
	bg4 = love.graphics.newImage("assets/img/bg2.png")
	bg2 = love.graphics.newImage("assets/img/unlocked.png")
	bg3 = love.graphics.newImage("assets/img/unlocked2.png")
	
	--Slider
	slider = {
		x = 200,
		actX = 200,
		speed = 200,
		y = 224,
		clicked = false,
		img = love.graphics.newImage("assets/img/slider.png"),
		img2 = love.graphics.newImage("assets/img/slider2.png")
		}
		
		offset = 0
		
		--unlocked shit
		timeout = 3
		love.timer.step()
end

function love.update(dt)
	if gamemode == mode.locked then
		x, y = love.mouse.getPosition()
		--Slider Position Update
		if not slider.clicked then
			if slider.x >= slider.actX then
				slider.x = slider.x - slider.speed * dt
				slider.speed = slider.speed + 1000 * dt
			end
		end
		--Area Check or whatever
		if love.mouse.isDown("l") then
			if x > slider.x and x < slider.x + 192 and y > slider.y and y < slider.y + 64 then
				slider.clicked = true
			end
		else
			slider.clicked = false
		end
		
		--Slider Motion
		if slider.clicked then
			slider.x = x - offset
			--Bounds
			if slider.x > 408 then
				slider.x = 408
			elseif slider.x < 200 then
				slider.x = 200
			end
		else
			if slider.x < 408 then
				slider.actX = 200
			else
				gamemode = mode.unlocked
			end
		end
	elseif gamemode == mode.unlocked then
		timeout = timeout - dt
		if timeout < 0 then
			love.event.push("quit")
		end
	end
end

function love.draw()
	if gamemode == mode.locked then
		if slider.x <= 407 then
			love.graphics.draw(bg)
			love.graphics.draw(slider.img, slider.x, slider.y)
		else
			love.graphics.draw(bg4)
			love.graphics.draw(slider.img2, slider.x, slider.y)
		end
	elseif gamemode == mode.unlocked then
		if timeout < 0.05 then
			love.graphics.draw(bg3)
		else
			love.graphics.draw(bg2)
		end
	end
end

function love.mousepressed(x, y, k)
	offset = x - slider.x
	slider.speed = 200
end















